## org.eclipse.datatools.modelbase.dbdefinition
Interface TableSpaceDefinition

All Known Implementing Classes:
  TableSpaceDefinitionImpl

public interface TableSpaceDefinition

A representation of the model object 'Table Space Definition'.

The following features are supported:

- `Type Supported`
- `Extent Size Supported`
- `Prefetch Size Supported`
- `Managed By Supported`
- `Page Size Supported`
- `Buffer Pool Supported`
- `Default Supported`
- `Container Maximum Size Supported`
- `Container Initial Size Supported`
- `Container Extent Size Supported`
- `Table Space Type`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getTableSpaceDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`EList` `getTableSpaceType()` Returns the value of the 'Table Space Type' attribute list.
`boolean` `isBufferPoolSupported()` Returns the value of the 'Buffer Pool Supported' attribute.
`boolean` `isContainerExtentSizeSupported()` Returns the value of the 'Container Extent Size Supported' attribute.
`boolean` `isContainerInitialSizeSupported()` Returns the value of the 'Container Initial Size Supported' attribute.
`boolean` `isContainerMaximumSizeSupported()` Returns the value of the 'Container Maximum Size Supported' attribute.
`boolean` `isDefaultSupported()` Returns the value of the 'Default Supported' attribute.
`boolean` `isExtentSizeSupported()` Returns the value of the 'Extent Size Supported' attribute.
`boolean` `isManagedBySupported()` Returns the value of the 'Managed By Supported' attribute.
`boolean` `isPageSizeSupported()` Returns the value of the 'Page Size Supported' attribute.
`boolean` `isPrefetchSizeSupported()` Returns the value of the 'Prefetch Size Supported' attribute.
`boolean` `isTypeSupported()` Returns the value of the 'Type Supported' attribute.
`void` `setBufferPoolSupported(boolean value)` Sets the value of the '`Buffer Pool Supported`' attribute.
`void` `setContainerExtentSizeSupported(boolean value)` Sets the value of the '`Container Extent Size Supported`' attribute.
`void` `setContainerInitialSizeSupported(boolean value)` Sets the value of the '`Container Initial Size Supported`' attribute.
`void` `setContainerMaximumSizeSupported(boolean value)` Sets the value of the '`Container Maximum Size Supported`' attribute.
`void` `setDefaultSupported(boolean value)` Sets the value of the '`Default Supported`' attribute.
`void` `setExtentSizeSupported(boolean value)` Sets the value of the '`Extent Size Supported`' attribute.
`void` `setManagedBySupported(boolean value)` Sets the value of the '`Managed By Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setPageSizeSupported(boolean value)` Sets the value of the '`Page Size Supported`' attribute.
`void` `setPrefetchSizeSupported(boolean value)` Sets the value of the '`Prefetch Size Supported`' attribute.
`void` `setTypeSupported(boolean value)` Sets the value of the '`Type Supported`' attribute.

Method Detail

### isTypeSupported

    public boolean isTypeSupported()

  Returns the value of the 'Type Supported' attribute.

  If the meaning of the 'Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Supported' attribute.
  See Also:
    `setTypeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_TypeSupported()`

### setTypeSupported

    public void setTypeSupported(boolean value)

  Sets the value of the '`Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Type Supported' attribute.
  See Also:
    `isTypeSupported()`

### isExtentSizeSupported

    public boolean isExtentSizeSupported()

  Returns the value of the 'Extent Size Supported' attribute.

  If the meaning of the 'Extent Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extent Size Supported' attribute.
  See Also:
    `setExtentSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ExtentSizeSupported()`

### setExtentSizeSupported

    public void setExtentSizeSupported(boolean value)

  Sets the value of the '`Extent Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Extent Size Supported' attribute.
  See Also:
    `isExtentSizeSupported()`

### isPrefetchSizeSupported

    public boolean isPrefetchSizeSupported()

  Returns the value of the 'Prefetch Size Supported' attribute.

  If the meaning of the 'Prefetch Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prefetch Size Supported' attribute.
  See Also:
    `setPrefetchSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_PrefetchSizeSupported()`

### setPrefetchSizeSupported

    public void setPrefetchSizeSupported(boolean value)

  Sets the value of the '`Prefetch Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Prefetch Size Supported' attribute.
  See Also:
    `isPrefetchSizeSupported()`

### isManagedBySupported

    public boolean isManagedBySupported()

  Returns the value of the 'Managed By Supported' attribute.

  If the meaning of the 'Managed By Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed By Supported' attribute.
  See Also:
    `setManagedBySupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ManagedBySupported()`

### setManagedBySupported

    public void setManagedBySupported(boolean value)

  Sets the value of the '`Managed By Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Managed By Supported' attribute.
  See Also:
    `isManagedBySupported()`

### isPageSizeSupported

    public boolean isPageSizeSupported()

  Returns the value of the 'Page Size Supported' attribute.

  If the meaning of the 'Page Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Page Size Supported' attribute.
  See Also:
    `setPageSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_PageSizeSupported()`

### setPageSizeSupported

    public void setPageSizeSupported(boolean value)

  Sets the value of the '`Page Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Page Size Supported' attribute.
  See Also:
    `isPageSizeSupported()`

### isBufferPoolSupported

    public boolean isBufferPoolSupported()

  Returns the value of the 'Buffer Pool Supported' attribute.

  If the meaning of the 'Buffer Pool Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Buffer Pool Supported' attribute.
  See Also:
    `setBufferPoolSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_BufferPoolSupported()`

### setBufferPoolSupported

    public void setBufferPoolSupported(boolean value)

  Sets the value of the '`Buffer Pool Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Buffer Pool Supported' attribute.
  See Also:
    `isBufferPoolSupported()`

### isDefaultSupported

    public boolean isDefaultSupported()

  Returns the value of the 'Default Supported' attribute.

  If the meaning of the 'Default Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Supported' attribute.
  See Also:
    `setDefaultSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_DefaultSupported()`

### setDefaultSupported

    public void setDefaultSupported(boolean value)

  Sets the value of the '`Default Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Default Supported' attribute.
  See Also:
    `isDefaultSupported()`

### isContainerMaximumSizeSupported

    public boolean isContainerMaximumSizeSupported()

  Returns the value of the 'Container Maximum Size Supported' attribute.

  If the meaning of the 'Container Maximum Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container Maximum Size Supported' attribute.
  See Also:
    `setContainerMaximumSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerMaximumSizeSupported()`

### setContainerMaximumSizeSupported

    public void setContainerMaximumSizeSupported(boolean value)

  Sets the value of the '`Container Maximum Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Container Maximum Size Supported' attribute.
  See Also:
    `isContainerMaximumSizeSupported()`

### isContainerInitialSizeSupported

    public boolean isContainerInitialSizeSupported()

  Returns the value of the 'Container Initial Size Supported' attribute.

  If the meaning of the 'Container Initial Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container Initial Size Supported' attribute.
  See Also:
    `setContainerInitialSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerInitialSizeSupported()`

### setContainerInitialSizeSupported

    public void setContainerInitialSizeSupported(boolean value)

  Sets the value of the '`Container Initial Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Container Initial Size Supported' attribute.
  See Also:
    `isContainerInitialSizeSupported()`

### isContainerExtentSizeSupported

    public boolean isContainerExtentSizeSupported()

  Returns the value of the 'Container Extent Size Supported' attribute.

  If the meaning of the 'Container Extent Size Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container Extent Size Supported' attribute.
  See Also:
    `setContainerExtentSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerExtentSizeSupported()`

### setContainerExtentSizeSupported

    public void setContainerExtentSizeSupported(boolean value)

  Sets the value of the '`Container Extent Size Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Container Extent Size Supported' attribute.
  See Also:
    `isContainerExtentSizeSupported()`

### getTableSpaceType

    public EList getTableSpaceType()

  Returns the value of the 'Table Space Type' attribute list. The list contents are of type `TableSpaceType`. The literals are from the enumeration `TableSpaceType`.

  If the meaning of the 'Table Space Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Space Type' attribute list.
  See Also:
    `TableSpaceType`, `DatabaseDefinitionPackage.getTableSpaceDefinition_TableSpaceType()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.